#ifndef _fadeOut_h_
#define _fadeOut_h_

#include "ygNode.h"

class fadeOut : public ygNode
{
public:
    enum { ONETIME, CYCLE, SWING };
    fadeOut(const char* name,bool master=true);

    virtual void reset(void);
    virtual void message(const ygMessage&);
    virtual void app(void);
    virtual void start(void);
    virtual void stop(void);
        float alphavalue(void);

private:
    pfList *colors_;
    pfList *materials_;

    bool active_;
    bool initActive_;
    bool firstFrame_;

    float duration_;
    int mode_;
    float startalpha_;
    float endalpha_;
    float startTime_;
};


#endif
