#ifndef _turner_h_
#define _turner_h_

#include "ygTransform.h"


class turner : public ygTransform
    {
    public:
     turner(const char*);
     ~turner(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
        virtual void turn(void);
        virtual void turnBack(void);
    private:
     void initialRotation(void);
     struct _turnerPrivateData * p_;
        pfVec3 axis_;
        float minAngle_, maxAngle_;
        float duration_;
        int   state_;
        float startTime_;
        int   swingState_;

        virtual void swing(void);
    };


#endif
