#ifndef _directoryListing_h_
#define _directoryListing_h_

#include "ygNode.h"
#include <vector>

class directoryListing : public ygNode
    {
    public:
     directoryListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void checkDirectory(void);
     ygString dirName;
     ygString parentName;
     ygString lastDir;
     int dirIndex;
     int lastIndex;
     int maximum;
     bool truncate;
     int ygDirIndex;
     std::vector<ygString> directories;
     std::vector<ygString> ygDirectories;
     std::vector<ygString> files;
    };

#endif
