#ifndef _reflection_h_
#define _reflection_h_

#include <Performer/pf/pfDCS.h>
#include "ygTransform.h"

using namespace std;

class reflection : public ygTransform
    {
    public:
     static int preDrawFunc(pfTraverser*,void*);
     static int postDrawFunc(pfTraverser*,void*);
     reflection(const char* name,bool master=true);
     ~reflection(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     void setNode(const ygString&);
    private:
     void setAxis(const pfVec3&);
     pfDCS* dcs;
     pfMatrix reflection_;
     pfVec3 axis;
     ygString nodeNames;
    };


#endif
