#ifndef _tone_h_
#define _tone_h_

#include "ygSoundServer.h"


class tone : public ygSoundServer
    {
    public:
     tone(const char*,bool master=true);
     virtual ~tone(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void pause(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
     virtual bool isPaused(void);
      void setFrequency(float);
    private:
     struct _tonePrivateData * p_;
    };

extern "C" ygNode* construct_tone(const char*,bool);

#endif
