#ifndef _nodeListing_h_
#define _nodeListing_h_

#include "ygNode.h"

class nodeListing : public ygNode
    {
    public:
     nodeListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     void checkClass(void);
     void findNodes(ygNode*);
     void findUsers(void);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     ygString className;
     ygString lastClass;
     bool users;
     int index;
     int lastIndex;
     int maximum;
     std::vector<ygString> nodes;
    };

#endif
