#ifndef _sceneGraph_h_
#define _sceneGraph_h_

#include "ygNode.h"

class sceneGraph : public ygNode
    {
    public:
     sceneGraph(const char* name,bool master=true);
     ~sceneGraph(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     void checkSelect(void);
     float buildGraph(ygNode*);
     pfGeode* createConnection(int);
     ygString nodeName;
     ygString lastNode;
     ygString selectName;
     ygString lastSelect;
     ygNode* node;
     float width;
     float height;
     std::vector<pfDCS*> nodes;
     std::vector<pfGeode*> connections;
     pfVec3* vertices;
     pfVec4* color;
     pfGeoState* gstate;
     //pfFont* font;
     int numVertices;
     int numNodes;
     int currVertex;
     int currNum;
     int currConn;
    };


#endif
