#ifndef _soundRecorder_h_
#define _soundRecorder_h_

#include "ygSoundServer.h"


class soundRecorder : public ygSoundServer
    {
    public:
     soundRecorder(const char*,bool master=true);
     virtual ~soundRecorder(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void pause(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
     virtual bool isPaused(void);
      void record(void);
      void setFile(const ygString&);
    private:
     struct _soundRecorderPrivateData * p_;
    };

#endif
