#ifndef _videoTexture_h_
#define _videoTexture_h_

#include "ygNode.h"

class videoTexture : public ygNode 
    {
    public:
     videoTexture(const char* name, bool master=true);   
     ~videoTexture();
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void reset(void);
    private:
     void replaceTextures(pfNode*);
     void createTexture(void);
     int readImageData();
     void copySubImage(unsigned char*,int,int,int);
     struct _videoTexturePrivateData* p_;
    };
 
extern "C" ygNode* construct_videoTexture(const char*,bool);
 
#endif



