#ifndef _ygCAVETracker_h_
#define _ygCAVETracker_h_

#include "ygTransform.h"

class ygCAVETracker : public ygTransform
    {
    public:
     ygCAVETracker(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage& msg);
     virtual void app(void);
     inline int sensor(void) const { return sensor_; };
    private:
     int sensor_;
     ygString netMaster;
     bool caveTracking;
    };

extern "C" ygNode* construct_ygCAVETracker(const char*,bool);

#endif
